import React, { Component } from 'react'
import Config from 'react-native-config'
import * as Keychain from 'react-native-keychain'
import { Linking } from 'react-native'

const AUTH = Config.ACCOUNTS_URL + '/o/oauth2/v1/auth'
const TOKEN = Config.ACCOUNTS_URL + '/o/oauth2/v1/token'
const LOGOUT = Config.ACCOUNTS_LOGOUT_URL
const clientId = Config.APP_ID
const callback = Config.APP_CALLBACK

export default () => { 
  const login = () => {
    const handleUrl = event => {
      const authCode = event.url.substring(
        event.url.indexOf('=') + 1,
        event.url.length
      )
      const tokenRequest = {
        code: authCode,
        client_id: clientId,
        redirect_uri: callback,
        grant_type: 'authorization_code'
      }
      var s = []

      for (var key in tokenRequest) {
        if (tokenRequest.hasOwnProperty(key)) {
          s.push(
            encodeURIComponent(key) +
              '=' +
              encodeURIComponent(tokenRequest[key])
          )
        }
      }
      const targetUrl = s.join('&')
      console.log('targetUrl: ', targetUrl)
      fetch(TOKEN, {
        method: 'POST',
        headers: {
          Accept: 'application/json',
          'Content-Type': 'application/x-www-form-urlencoded'
        },
        body: s.join('&')
      })
        .then(response => {
          console.log('got response: ', response)
          this.setState({ loggedIn: true })
        })
        .catch(error => {
          this.setState({ loggedIn: false, error })
        })
      Linking.removeEventListener('url', handleUrl)
    }
    Linking.addEventListener('url', handleUrl)
    Linking.openURL(authorizationUrl(AUTH, clientId, callback, 'code'))
  }


 const logout = () => {
    const handleUrl = event => {
      Linking.removeEventListener('url', handleUrl)
      this.login()
    }
    Linking.addEventListener('url', handleUrl)
    Linking.openURL(LOGOUT + callback)
      .then(response => {
        this.setState({ loggedIn: false })
        this.login()
      })
      .catch(error => {
        console.log('logout error: ', error)
      })
  }
}
