
# react-native-oauth2

## Getting started

`$ npm install react-native-oauth2 --save`

### Mostly automatic installation

`$ react-native link react-native-oauth2`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-oauth2` and add `RNOauth2.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNOauth2.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`
  - Add `import com.reactlibrary.RNOauth2Package;` to the imports at the top of the file
  - Add `new RNOauth2Package()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-oauth2'
  	project(':react-native-oauth2').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-oauth2/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-oauth2')
  	```

#### Windows
[Read it! :D](https://github.com/ReactWindows/react-native)

1. In Visual Studio add the `RNOauth2.sln` in `node_modules/react-native-oauth2/windows/RNOauth2.sln` folder to their solution, reference from their app.
2. Open up your `MainPage.cs` app
  - Add `using Oauth2.RNOauth2;` to the usings at the top of the file
  - Add `new RNOauth2Package()` to the `List<IReactPackage>` returned by the `Packages` method


## Usage
```javascript
import RNOauth2 from 'react-native-oauth2';

// TODO: What to do with the module?
RNOauth2;
```
  